## petit 1.1.1

=== Makefile ===

default: FORCE
	@echo "Specify what to build: rpm, deb, test, update-test, install-rpm"
	@echo "	Usage: make rpm"

FORCE:

clean : FORCE
	rm -f petit*.i386.rpm
	rm -f petit*.src.rpm
	rm -f petit*.deb
	rm -f build/rpm/SOURCES/*
	rm -f build/rpm/BUILD/*

test : FORCE
	(cd test/; time ./test.sh)

update-test : FORCE
	(cd test/; ./test.sh update)

rpm : petit*.rpm

petit*.rpm : ./src/bin/* ./src/lib/* ./src/lib/filters/* ./src/lib/fingerprints/* ./src/lib/fingerprint_library/*
	./build/scripts/rpm.sh

deb : petit*.deb

petit*.deb : ./src/bin/* ./src/lib/* ./src/lib/filters/* ./src/lib/fingerprints/* ./src/lib/fingerprint_library/*
	./build/scripts/deb.sh

install : FORCE
	./build/scripts/tar-install.sh

uninstall : FORCE
	./build/scripts/tar-uninstall.sh

install-rpm : rpm
	rpm -e petit
	rpm -ivh petit*.rpm

## petit 1.0.3

=== debian/changelog ===
petit (1.0.3-1) unstable; urgency=low

  * Initial release. (Closes: #542103)

 -- Carl Chenet <chaica@ohmytux.com>  Mon, 28 Jun 2010 22:32:13 +0200

=== debian/control ===
Source: petit
Section: utils
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Carl Chenet <chaica@ohmytux.com>
Homepage: http://crunchtools.com/software/petit/
Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/petit/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/python-apps/packages/petit/trunk/
Build-Depends: debhelper (>= 7.0.50~), python
Build-Depends-Indep: python-support
Standards-Version: 3.9.0
XS-Python-Version: all

Package: petit
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
XB-Python-Version: ${python:Versions}
Description: log analysis tool for syslog, apache and raw log files
 Petit is a log analysis tool aiming systems administrators and
 systems analysts. It interact with syslog and Apache logs to clarify
 what is happening in logs in order to get more human-readable
 results.

=== debian/rules ===
#!/usr/bin/make -f

export DH_ALWAYS_EXCLUDE=.svn

%:
	dh $@

override_dh_auto_test:

override_dh_auto_clean:

override_dh_auto_build:

override_dh_auto_install:

## petit 1.1.1

=== debian/changelog ===
petit (1.1.1-1) unstable; urgency=low

  * New upstream version. (Closes: #589691)
  * debian/control
    - Bump Standards-Version to 3.9.2
    - Bump python Build-Depends to 2.6.6-3
    - Removed the Build-Depends-Indep line
    - Replaced the XS-Python-Version field by X-Python-Version
    - Removed the XB-Python-Version line
  * debian/rules
    - Removed DH_ALWAYS_EXCLUDE=.svn
    - using dh $@ --with python2
  * debian/install
    - Upgraded the path for the crunchtools directory

 -- Carl Chenet <chaica@ohmytux.com>  Wed, 18 May 2011 04:23:39 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,13 @@
 Homepage: http://crunchtools.com/software/petit/
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/petit/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/python-apps/packages/petit/trunk/
-Build-Depends: debhelper (>= 7.0.50~), python
-Build-Depends-Indep: python-support
-Standards-Version: 3.9.0
-XS-Python-Version: all
+Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3)
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.5
 
 Package: petit
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
-XB-Python-Version: ${python:Versions}
 Description: log analysis tool for syslog, apache and raw log files
  Petit is a log analysis tool aiming systems administrators and
  systems analysts. It interact with syslog and Apache logs to clarify

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 
-export DH_ALWAYS_EXCLUDE=.svn
-
 %:
-	dh $@
+	dh $@ --with python2
 
 override_dh_auto_test:

=== debian/watch ===
version=3
http://crunchtools.com/wp-content/files/petit/petit-([0-9]*).([0-9]*).([0-9]*)\.tgz
